LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
WindowStateConfiguration Service Reference

A legacy (single-instance) service-variant of theWindowStateConfiguration singleton. More...

`import"WindowStateConfiguration.idl";`

Inheritance diagram for WindowStateConfiguration:

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A legacy (single-instance) service-variant of theWindowStateConfiguration singleton.

Deprecated:
  Use theWindowStateConfiguration singleton instead.

Since
  OOo 2.0

The documentation for this service was generated from the following file:

- com/sun/star/ui/WindowStateConfiguration.idl